# -*- Mode: Python -*-
# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
#
# Codeina, Codec Installation Application
# Copyright (C) 2007 Fluendo S.A.
#
# Written by Tim-Philipp Müller <tim centricular net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

from gettext import gettext as _

import gtk
import os

def get_dialog(parent, products):
    print products
    dlg = gtk.MessageDialog(parent=parent, flags=0,
                            type=gtk.MESSAGE_INFO,
                            message_format=\
                            _('Proprietary and free formats'))
    dlg.add_button(_("Do _not visit the store"), gtk.RESPONSE_DELETE_EVENT)
    dlg.add_button(_("Go to _Store"), gtk.RESPONSE_OK)
    dlg.set_default_response(gtk.RESPONSE_OK)
    # As per HIG, empty dialogue title
    dlg.set_title(_(''))
    str1 = _("Fedora does not condone the use of audio and video codecs that require patent licenses to be written and/or distributed.")
    str2 = _("But due to the existence of such patents, Free Software implementations of such codecs might not be legal in the country you live in, or the file you're trying to play back might not be available in free formats such as Ogg.")
    str3 = _("The Fluendo store has free and for-pay plugins for you to download.")
    str = str1 + "\n\n" + str2 + "\n\n" + str3
    dlg.format_secondary_text(str)
    return dlg
